//
//  RegulatedProfessionEditProfilModal.swift
//
//
//  Created by Victor on 24/07/2024.
//

import SwiftUI

struct RegulatedProfessionEditProfilModal: View {

    var body: some View {
        VStack {
            VStack(spacing: 24) {
                SQText("Profession réglementée", size: 32, font: .bold)
                VStack(alignment: .leading, spacing: 16) {
                    SQText("Vous ne pouvez pas enregistrer votre profil car des éléments indiquent que vous proposez vos services en déménagement avec véhicule. L’activité de déménageur avec véhicule est juridiquement réglementée et seuls les professionnels agréés peuvent l’exercer.", font: .medium)
                    SQText("Aussi, vous n’êtes pas autorisé à proposer vos services de déménageur avec véhicule, ni à en faire mention sur votre profil.", font: .medium)
                    VStack(alignment: .leading, spacing: 8) {
                        SQText("Nous vous invitons à corriger les éléments suivants :", size: 16, font: .demiBold)
                        HStack {
                            SQIcon(.xmark, size: .m, type: .solid, color: .red)
                            SQText("Titre du profil", font: .medium)
                        }
                        HStack {
                            SQIcon(.xmark, size: .m, type: .solid, color: .red)
                            SQText("Présentation profil", font: .medium)
                        }
                        HStack {
                            SQIcon(.xmark, size: .m, type: .solid, color: .red)
                            SQText("Photo de couverture", font: .medium)
                        }
                        HStack {
                            SQIcon(.xmark, size: .m, type: .solid, color: .red)
                            SQText("Photo de profil", font: .medium)
                        }
                        HStack {
                            SQIcon(.xmark, size: .m, type: .solid, color: .red)
                            SQText("Photos de réalisation", font: .medium)
                        }
                    }
                    SQText("À défaut, ces éléments seront supprimés de votre profil en septembre.", font: .demiBold)
                    Text("[Retrouvez ici](https://www.codingwithrashid.com) les informations utiles pour devenir déménageur agréé.")
//                    SQText("[Retrouvez ici](https://www.codingwithrashid.com) les informations utiles pour devenir déménageur agréé.", font: .medium)
                }
            }
            .padding([.leading, .trailing])
            Spacer()

            VStack {
                SQButton("fermer", color: .sqNeutral(100), textColor: .white) {}
            }
            .padding(.horizontal, 16)
            .padding(.vertical, 24)
            .frame(maxWidth: .infinity, alignment: .center)
            .background(Color.white)
            .cornerRadius(8)
            .shadow(color: Color(red: 0.09, green: 0.14, blue: 0.2).opacity(0.1), radius: 8, x: 0, y: -4)
        }
        .ignoresSafeArea()
        .padding(.top, 16)
    }
}

#Preview {
    RegulatedProfessionEditProfilModal()
}
